# Phar::isFileFormat

(PHP 5 >= 5.3.0, PHP 7, PECL phar >= 2.0.0)

Phar::isFileFormat — Returns true if the phar archive is based on the tar/phar/zip file format depending on the parameter

### Description

public Phar::isFileFormat ( int `$format` ) : bool

### Parameters

`format`

  Either Phar::PHAR, Phar::TAR, or Phar::ZIP to test for the format of the archive.

### Return Values

Returns `TRUE` if the phar archive matches the file format requested by the parameter

### Errors/Exceptions

PharException is thrown if the parameter is an unknown file format specifier.

### See Also

- Phar::convertToExecutable() - Convert a phar archive to another executable phar archive file format
- Phar::convertToData() - Convert a phar archive to a non-executable tar or zip file